package com.bonus.canteen.core.report.datascreen.vo;

import com.bonus.canteen.core.common.enums.AllocMealtimeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DishIntervalNum {
   @ApiModelProperty("餐次名称")
   private String intervalName;
   @ApiModelProperty("餐次类型-和早中晚对应")
   private Integer intervalType;
   @ApiModelProperty("总数")
   private Integer totalNum;

   public String getIntervalName() {
      return AllocMealtimeTypeEnum.getDescByKey(this.intervalType);
   }

   public Integer getIntervalType() {
      return this.intervalType;
   }

   public Integer getTotalNum() {
      return this.totalNum;
   }

   public void setIntervalName(final String intervalName) {
      this.intervalName = intervalName;
   }

   public void setIntervalType(final Integer intervalType) {
      this.intervalType = intervalType;
   }

   public void setTotalNum(final Integer totalNum) {
      this.totalNum = totalNum;
   }

   public String toString() {
      String var10000 = this.getIntervalName();
      return "DishIntervalNum(intervalName=" + var10000 + ", intervalType=" + this.getIntervalType() + ", totalNum=" + this.getTotalNum() + ")";
   }
}
